%if 0%{?_with_sipgate:1}
    %{expand:%%define sipgate sipgate}
%endif

Summary:	Linphone is a web phone
Name:		linphone
Version:	0.12.2
Release:	6%{?sipgate}
Group:		Applications/Communications
License:	GPL
URL:            http://www.linphone.org/linphone.php
Source0:        http://simon.morlat.free.fr/download/0.12.2/source/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		linphone-build.patch
Patch1:		linphone-0.12.2-sipgate.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libosip alsa-lib alsa-oss libogg speex
BuildRequires:	libosip-devel gtk-doc libogg-devel speex-devel
#BuildRequires:	alsa-oss-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	libosip-devel gtk-doc libogg-devel speex-devel


%description
Linphone lets you phone to your friends anywhere in the whole world, freely,
simply by using the internet. The cost of the phone call is the cost that you
spend connected to the internet. It uses the SIP (Session Initiation Protocol)
for signaling and supports a variety of codecs.
Options for "rpmbuild -ba":
--with sipgate (build linphone with defaults for sipgate.de and NAT/firewall)


%package common
Summary:	Common files for Linphone
Group:		Applications/Communications
License:	GPL
Requires:	libosip
Requires:	speex
BuildRequires:	libosip-devel
BuildRequires:	speex-devel

%description common
Linphone lets you phone to your friends anywhere in the whole world, freely,
simply by using the internet. The cost of the phone call is the cost that you
spend connected to the internet. It uses the SIP (Session Initiation Protocol)
for signaling and supports a variety of codecs.


%package ortp
Summary:	oRTP libs used by Linphone
Group:		System Environment/Libraries
License:	LGPL

%description ortp
RTP libs used by linphone


%package osipua
Summary:	SIP user agent used by linphone
Group:		System Environment/Libraries
License:	LGPL

%description osipua
SIP user agent used by linphone


%package console
Summary:	Linphone console frontend
Group:		Applications/Communications
License:	GPL
Requires:	%{name}-common = %{version}
Requires:	%{name}-ortp = %{version}
Requires:	%{name}-osipua = %{version}

%description console
Linphone console frontend


%package gnome
Summary:	Gnome frontend for Linphone
Group:		Applications/Communications
License:	GPL
Requires:	libgnome
Requires:	libbonobo
Requires:	libgnomeui
Requires:	%{name}-common = %{version}
Requires:	%{name}-ortp = %{version}
Requires:	%{name}-osipua = %{version}
BuildRequires:	libgnome-devel
BuildRequires:	libbonobo-devel
BuildRequires:	libgnomeui-devel
#BuildRequires:	gnome-panel-devel

%description gnome
Gnome frontend for Linphone.


%package ortp-devel
Summary:	oRTP headers
Group:		Development/Libraries
License:	LGPL

%description ortp-devel
Development headers and link libs for oRTP


%package devel
Summary:	Development headers for linphone
Group:		Development/Libraries
License:	GPL

%description devel
Development headers for linphone.


%package osipua-devel
Summary:	Development headers for linphone SIP user agent
Group:		Development/Libraries
License:	GPL

%description osipua-devel
Development headers for linphone SIP user agent.


%package mediastreamer-devel
Summary:	Development headers for media streamer
Group:		Development/Libraries
License:	GPL

%description mediastreamer-devel
Development headers for media streamer.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%if 0%{?sipgate:1}
%patch1 -p1
%endif

%build
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
%makeinstall
#rm -r $RPM_BUILD_ROOT%{_datadir}/gtk-doc; rm -R $RPM_BUILD_ROOT%{_datadir}/doc
#mv $RPM_BUILD_ROOT%{_datadir}/man/man1/* $RPM_BUILD_ROOT/usr/man/man1; rm -R $RPM_BUILD_ROOT%{_datadir}/man
#mkdir -p $RPM_BUILD_ROOT/usr/include/mediastreamer; cp mediastreamer/*.h $RPM_BUILD_ROOT/usr/include/mediastreamer
#mkdir -p $RPM_BUILD_ROOT/usr/share/applications
#cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications/

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files common
%defattr(-,root,root)
%doc AUTHORS BUGS README TODO NEWS ChangeLog COPYING
%{_libdir}/libmediastreamer.so*
%{_libdir}/libmsspeex.so*
%{_libdir}/liblinphone.so*
%{_datadir}/locale/

%files ortp
%defattr(-,root,root)
%{_libdir}/libortp.so*

%files osipua
%defattr(-,root,root)
%{_libdir}/libosipua.so*
%{_libdir}/libosipalloc.so*

%files gnome
%defattr(-,root,root)
%{_bindir}/linphone
%{_libdir}/liblinphonegnome.so*
%{_libexecdir}/linphone_applet
%{_libdir}/bonobo/servers/GNOME_LinphoneApplet.server
%{_datadir}/gnome/apps/Internet/linphone.desktop
%{_datadir}/gnome/help/linphone/
%{_datadir}/gnome-2.0/ui/GNOME_LinphoneApplet.xml
%{_datadir}/pixmaps/linphone/
%{_datadir}/sounds/linphone/
%{_datadir}/man/man1/linphone.1.gz

%files console
%defattr(-,root,root)
%{_bindir}/linphonec
%{_bindir}/sipomatic
%{_datadir}/linphonec/
%{_datadir}/man/man1/linphonec.1.gz
%{_datadir}/man/man1/sipomatic.1.gz

%files devel
%{_libdir}/pkgconfig/linphone.pc
%{_includedir}/linphone/
%{_libdir}/liblinphone.a
%{_libdir}/liblinphone.la
%{_libdir}/liblinphonegnome.a
%{_libdir}/liblinphonegnome.la

%files ortp-devel
%defattr(-,root,root)
%{_includedir}/ortp/
%{_libdir}/libortp.a
%{_libdir}/libortp.la

%files osipua-devel
%defattr(-,root,root)
%{_includedir}/osipua/
%{_libdir}/libosipua.a
%{_libdir}/libosipua.la
%{_libdir}/libosipalloc.a
%{_libdir}/libosipalloc.la

%files mediastreamer-devel
%defattr(-,root,root)
%{_libdir}/libmediastreamer.a
%{_libdir}/libmediastreamer.la
%{_libdir}/libmsspeex.a
%{_libdir}/libmsspeex.la
%{_datadir}/gtk-doc/html/mediastreamer/


%changelog
* Fri Jul  2 2004 Frank Bergmann <meurer@gmx.STOP-UCE.de>
- light mods in spec (i.e. rm BUILDROOT before install)
- sipgate patch for some sipgate defaults

* Tue May 18 2004 Tim Niemueller <tim@niemueller.de>
- initial spec file

